import Foundation

struct GeierCardOrder: CardOrder {

    static let trumpCount = 4

    static let cardOrder = [
        Card(.eichel, .ober),
        Card(.blatt, .ober),
        Card(.herz, .ober),
        Card(.schelln, .ober),
        Card(.herz, .ass),
        Card(.herz, .zehn),
        Card(.herz, .könig),
        Card(.herz, .unter),
        Card(.herz, .neun),
        Card(.herz, .acht),
        Card(.herz, .sieben),
        Card(.eichel, .ass),
        Card(.eichel, .zehn),
        Card(.eichel, .könig),
        Card(.eichel, .unter),
        Card(.eichel, .neun),
        Card(.eichel, .acht),
        Card(.eichel, .sieben),
        Card(.blatt, .ass),
        Card(.blatt, .zehn),
        Card(.blatt, .könig),
        Card(.blatt, .unter),
        Card(.blatt, .neun),
        Card(.blatt, .acht),
        Card(.blatt, .sieben),
        Card(.schelln, .ass),
        Card(.schelln, .zehn),
        Card(.schelln, .könig),
        Card(.schelln, .unter),
        Card(.schelln, .neun),
        Card(.schelln, .acht),
        Card(.schelln, .sieben)
    ]
}
